@import '../init';

// Extends BS form styles.

::placeholder {
  // fix placeholder opacity
  opacity: 1;
}

// Add simple validation style for form fields
.form-control {
  &:user-invalid {
    // We use :user-invalid instead :invalid because: https://stackoverflow.com/a/76640468/6266306
    border-color: var(--bs-danger);
  }
}

// Default spacings
.form-wrapper,
.form-item {
  --form-item-mb: var(--bs-spacer-2);
  margin-bottom: var(--form-item-mb);
  // TODO: Still Drupal puts .form-item into .form-item.. or its a Radix thing .. however
  // the input is also wrapped into a .form-item.
  .form-item:last-child,
  .form-item:has(+ .description) {
    --form-item-mb: 0;
  }
}

// Inline Forms (eg. Search form)
.container-inline,
.block--form-inline form {
  // modifying drupals form markup is still pain in the ass. So we need to hack it this way instead of simply using foundation markup.
  @include form-inline;
}

// Address Forms
.address-container-inline {
  display: flex;
}
